Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.connector.invoker
Class AuthenticationInterceptor

    java.lang.Object
      org.jboss.mx.interceptor.AbstractInterceptor
          org.jboss.jmx.connector.invoker.AuthenticationInterceptor

All Implemented Interfaces:
  org.jboss.mx.interceptor.Interceptor

public final class AuthenticationInterceptor
extends org.jboss.mx.interceptor.AbstractInterceptor

A security interceptor that requires an authorized user for invoke(Invocation) operation calls when the SecurityDomain and SecurityMgr attributes are specified. Access to attributes and the MBeanInfo are not intercepted.

Version:
  $Revision: 1.3.8.1 $
Author:
  Juha Lindfors., Scott.Stark@jboss.org
See Also:
  `Interceptor`

Field Summary

Fields inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`isShared, log, name`

Constructor Summary
`AuthenticationInterceptor()`

Method Summary
`Object` | `invoke(org.jboss.mx.server.Invocation invocation)`
`void` | `setSecurityDomain(String securityDomain)`

Methods inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`destroy, getName, init, isShared, setLogger, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationInterceptor

    public AuthenticationInterceptor()

Method Detail

### setSecurityDomain

    public void setSecurityDomain(String securityDomain)
                           throws Exception

  Throws:
    `Exception`

### invoke

    public Object invoke(org.jboss.mx.server.Invocation invocation)
                  throws Throwable

  Parameters:
    `invocation` -
  Returns:
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.